## wireshark 1.4.3

=== debian/changelog ===
wireshark (1.4.3-1) experimental; urgency=high

  * New upstream release 1.4.3
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.3.html
    - security fixes
       - FRAsse discovered that the MAC-LTE dissector could overflow a buffer.
         (No assigned CVE number.)
       - FRAsse discovered that the ENTTEC dissector could overflow a buffer.
         (CVE-2010-4538) (Closes: #608990)
       - The ASN.1 BER dissector could assert and make Wireshark exit
         prematurely. (No assigned CVE number.)
  * drop 25_libwsutil-version.patch since it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 12 Jan 2011 15:31:35 +0100

wireshark (1.4.2-3) experimental; urgency=low

  [ W. Borgert ]
  * support IDL's #include in idl2deb (Closes: #314833)
  
  [ Balint Reczey ]
  * really ship include files in libwsutil-dev
  * raise Python 2.6 compatible exceptions (Closes: #585370)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Dec 2010 00:00:11 +0100

wireshark (1.4.2-2) experimental; urgency=low

  * separated libwsutil and related headers in libwsutil0 and
    libwsutil-dev packages

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 25 Nov 2010 23:26:09 +0100

=== debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Uploaders: Joost Yervante Damad <andete@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, debhelper (>= 6), po-debconf, libtool, python, python-ply, automake1.9, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libxml2-utils, libpcre3-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libcap-dev (>= 2.17) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, hardening-wrapper
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
XS-Python-Version: all
Homepage: http://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark0 (>= ${binary:Version}), libwiretap0 (>= ${binary:Version}), debconf, libcap2-bin [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Replaces: ethereal-common (<< 1.0.0-3)
Conflicts: ethereal-common (<< 1.0.0-3)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark (the GTK+ version)
 and tshark (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Replaces: ethereal (<< 1.0.0-3)
Conflicts: ethereal (<< 1.0.0-3)
Description: network traffic analyzer - GTK+ version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the GTK+ version of wireshark.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Replaces: tethereal (<< 1.0.0-3)
Conflicts: tethereal (<< 1.0.0-3)
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, omniidl4 (>= 4.0.1-2), libpcap0.8-dev, libtool, libglib2.0-dev, ${python:Depends}, python-ply, snacc, autotools-dev, debhelper, cdbs, automake1.9, autoconf, libwireshark-dev, libwiretap-dev
Replaces: ethereal-dev (<< 1.0.0-3)
Conflicts: ethereal-dev (<< 1.0.0-3)
XB-Python-Version: ${python:Versions}
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-dbg
Priority: extra
Architecture: any
Section: debug
Depends:  ${misc:Depends}, wireshark-common (= ${binary:Version}) | wireshark (= ${binary:Version}) | tshark (= ${binary:Version})
Description: network traffic analyzer - debug symbols
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains stripped debugging symbols for all Wireshark
 programs and libraries.

Package: wireshark-doc
Priority: extra
Architecture: all
Section: doc
Depends:  ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark-data (>= ${source:Version}), libwsutil0 (>= ${source:Version})
Suggests: wireshark-doc (>= ${source:Version})
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1)
Description: a network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services 
 developed by the Wireshark project.

Package: libwsutil0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark0 (<< 1.4.2-2)
Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark0 (<< 1.4.2-2)
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for libwireshark0.

Package: libwsutil-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libwsutil0 (= ${binary:Version})
Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2)
Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2)
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for libwireshark0.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1)
Suggests: snmp-mibs-downloader
Description: a network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services 
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libwsutil-dev, libwireshark0 (= ${binary:Version})
Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-dev (<< 1.4.0~rc2-1)
Architecture: any
Description: a network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Description: a network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows to
 read and write several packet capture file formats.
 .
 Supported formats are: 
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrustion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libwiretap0 (= ${binary:Version})
Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-dev (<< 1.4.0~rc2-1)
Architecture: any
Description: a network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows to
 read and write several packet capture file formats.
 .
 Supported formats are: 
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrustion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl


DEB_HOST_ARCH_CPU       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_ARCH_CPU      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

PYTHON_VERSION=python2.4

CFLAGS=-g -O2

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha,$(DEB_HOST_ARCH_CPU))
  CFLAGS += -mieee
endif

idl2deb.1: idl2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<

asn2deb.1: asn2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<


CONFIGURE_FLAGS=--prefix=/usr --sysconfdir=/usr/share --datadir=/usr/share --disable-static --disable-ssl --without-ucdsnmp --enable-gtk2 --libdir=/usr/lib --enable-warnings-as-errors=no --with-plugins=/usr/lib/wireshark/libwireshark0/plugins --with-lua=/usr/ --docdir=/usr/share/doc/wireshark-doc/

configure: configure-stamp
configure-stamp:
	dh_testdir

	libtoolize --force --copy
	-mkdir aclocal-missing
	./autogen.sh
	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS)

	touch configure-stamp

build: build-stamp idl2deb.1 asn2deb.1
build-stamp: configure-stamp
	$(MAKE)
	$(MAKE) -C docbook wsug_html_chunked wsdg_html_chunked

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean 
	rm -f rdps wireshark.1 tshark.1 idl2deb.1 wireshark-filter.4 asn2deb.1 dumpcap.1 rawshark.1
	rm -f conftest conftest.c
	rm -f config.guess config.sub config.log
	rm -f config.h.in config.h configure

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/share/wireshark/COPYING
	cp debian/license-text-about-dialog $(CURDIR)/debian/tmp/usr/share/wireshark/ABOUT.GPL
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/
	cp wireshark.desktop $(CURDIR)/debian/tmp/usr/share/applications/
	cp tools/idl2wrs.sh $(CURDIR)/debian/tmp/usr/bin/
	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps/
	cp image/hi48-app-wireshark.png $(CURDIR)/debian/tmp/usr/share/pixmaps/
	cp image/wsicon32.xpm $(CURDIR)/debian/tmp/usr/share/pixmaps/
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	install -m 755 $(CURDIR)/idl2deb $(CURDIR)/debian/tmp/usr/bin/
	install -m 755 $(CURDIR)/asn2deb $(CURDIR)/debian/tmp/usr/bin/
	mkdir -p $(CURDIR)/debian/tmp/etc/wireshark/
	mv $(CURDIR)/debian/tmp/usr/share/wireshark/init.lua \
		$(CURDIR)/debian/tmp/etc/wireshark/
	ln -s /etc/wireshark/init.lua \
		$(CURDIR)/debian/tmp/usr/share/wireshark/init.lua
	install -m 644 $(CURDIR)/tools/wireshark_be.py $(CURDIR)/tools/wireshark_gen.py \
		$(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	install	-m 755 $(CURDIR)/tools/asn2wrs.py $(CURDIR)/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	mkdir -p $(CURDIR)/debian/tmp/usr/include/wireshark/
	for F in `cat debian/libwireshark-dev.header-files debian/libwsutil-dev.header-files debian/libwiretap-dev.header-files`; do \
		cp --parents $$F $(CURDIR)/debian/tmp/usr/include/wireshark; \
	done
	# .a is no longer built; why was is used ?
	#cp $(CURDIR)/wiretap/libwiretap.a $(CURDIR)/debian/tmp/usr/lib/
	-rm -rf $(CURDIR)/debian/tmp/usr/man
	dh_installman

	dh_movefiles
	dh_pysupport
	dh_installdocs
	dh_installmenu
	dh_installchangelogs NEWS

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

check: install
	# check all necessary headers are included
	gcc -c debian/headers-check.c `pkg-config --cflags glib-2.0` -Idebian/libwireshark-dev/usr/include -Idebian/libwireshark-dev/usr/include/wireshark -Idebian/libwiretap-dev/usr/include/wireshark -o /dev/null

# Build architecture-dependent files here.
binary-arch: install check
	dh_strip --dbg-package=wireshark-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	rm -f debian/wireshark-common.shlibs
	dh_installdebconf
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean install check binary-indep binary-arch binary

## wireshark 1.4.4

=== gtk/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 33008 2010-05-28 11:18:04Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


set(WIRESHARK_GTK_SRC
	about_dlg.c
	airpcap_dlg.c
	airpcap_gui_utils.c
	capture_dlg.c
	capture_file_dlg.c
	capture_if_dlg.c
	capture_info_dlg.c
	cfilter_combo_utils.c
	color_dlg.c
	color_edit_dlg.c
	color_utils.c
	conversations_table.c
	decode_as_ber.c
	decode_as_dcerpc.c
	decode_as_dlg.c
	dfilter_expr_dlg.c
	dlg_utils.c
	drag_and_drop.c
	expert_comp_table.c
	export_object.c
	export_object_dicom.c
	export_object_http.c
	filter_autocomplete.c
	file_dlg.c
	fileset_dlg.c
	filter_dlg.c
	filter_utils.c
	find_dlg.c
	firewall_dlg.c
	follow_ssl.c
	follow_stream.c
	follow_tcp.c
	follow_udp.c
	font_utils.c
	goto_dlg.c
	graph_analysis.c
	gtkvumeter.c
	gui_stat_util.c
	gui_utils.c
	help_dlg.c
	hostlist_table.c
	macros_dlg.c
	main.c
	main_airpcap_toolbar.c
	main_filter_toolbar.c
	menus.c
	main_packet_list.c
	main_proto_draw.c
	main_statusbar.c
	main_toolbar.c
	main_welcome.c
	manual_addr_resolv.c
	mcast_stream.c
	new_packet_list.c
	packet_history.c
	packet_list_store.c
	packet_win.c
	pixmap_save.c
	plugins_dlg.c
	prefs_capture.c
	prefs_column.c
	prefs_dlg.c
	prefs_gui.c
	prefs_layout.c
	prefs_nameres.c
	prefs_print.c
	prefs_protocols.c
	prefs_taps.c
	prefs_stream.c
	print_dlg.c
	profile_dlg.c
	progress_dlg.c
	proto_dlg.c
	proto_help.c
	proto_hier_stats_dlg.c
	range_utils.c
	recent.c
	rtp_player.c
	rtp_stream.c
	sctp_byte_graph_dlg.c
	sctp_error_dlg.c
	sctp_graph_dlg.c
	sctp_stat.c
	service_response_time_table.c
	simple_dialog.c
	stock_icons.c
	summary_dlg.c
	supported_protos_dlg.c
	tap_dfilter_dlg.c
	text_page_utils.c
	u3.c
	uat_gui.c
	voip_calls.c
	webbrowser.c
)

set(WIRESHARK_TAP_SRC
	afp_stat.c
	ansi_a_stat.c
	ansi_map_stat.c
	bootp_stat.c
	camel_counter.c
	camel_srt.c
	compare_stat.c
	conversations_eth.c
	conversations_fc.c
	conversations_fddi.c
	conversations_ip.c
	conversations_ipv6.c
	conversations_ipx.c
	conversations_jxta.c
	conversations_ncp.c
	conversations_rsvp.c
	conversations_sctp.c
	conversations_tcpip.c
	conversations_tr.c
	conversations_udpip.c
	conversations_usb.c
	conversations_wlan.c
	dcerpc_stat.c
	diameter_stat.c
	expert_comp_dlg.c
	expert_dlg.c
	fc_stat.c
	flow_graph.c
	funnel_stat.c
	gsm_a_stat.c
	gsm_map_stat.c
	gsm_map_summary.c
	gtp_stat.c
	h225_counter.c
	h225_ras_srt.c
	hostlist_eth.c
	hostlist_fc.c
	hostlist_fddi.c
	hostlist_ip.c
	hostlist_ipv6.c
	hostlist_ipx.c
	hostlist_jxta.c
	hostlist_ncp.c
	hostlist_rsvp.c
	hostlist_sctp.c
	hostlist_tcpip.c
	hostlist_tr.c
	hostlist_udpip.c
	hostlist_usb.c
	hostlist_wlan.c
	iax2_analysis.c
	io_stat.c
	ldap_stat.c
	mac_lte_stat_dlg.c
	mcast_stream_dlg.c
	megaco_stat.c
	mgcp_stat.c
	mtp3_stat.c
	mtp3_summary.c
	ncp_stat.c
	radius_stat.c
	rlc_lte_stat_dlg.c
	rpc_progs.c
	rpc_stat.c
	rtp_analysis.c
	rtp_stream_dlg.c
	scsi_stat.c
	sctp_assoc_analyse.c
	sctp_chunk_stat.c
	sctp_chunk_stat_dlg.c
	sctp_stat_dlg.c
	sip_stat.c
	smb_stat.c
	smb2_stat.c
	stats_tree_stat.c
	tcp_graph.c
	voip_calls_dlg.c
	wlan_stat_dlg.c
	wsp_stat.c
)

set(CLEAN_FILES
	${WIRESHARK_GTK_SRC}
	${WIRESHARK_TAP_SRC}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

register_tap_files(wireshark-tap-register.c
	${WIRESHARK_TAP_SRC}
)

add_library(ui STATIC
	${WIRESHARK_GTK_SRC}
	${WIRESHARK_TAP_SRC}
	wireshark-tap-register.c
)
set_target_properties(ui PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

#install(TARGETS ui
#	LIBRARY DESTINATION lib
#	RUNTIME DESTINATION lib
#	ARCHIVE DESTINATION lib
#)

=== wiretap/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 32231 2010-03-18 10:27:17Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


set(WIRETAP_FILES
	5views.c
	airopeek9.c
	ascendtext.c
	atm.c
	ber.c
	btsnoop.c
	buffer.c
	catapult_dct2000.c
	commview.c
	cosine.c
	csids.c
	daintree-sna.c
	dbs-etherwatch.c
	dct3trace.c
	erf.c
	etherpeek.c
	eyesdn.c
	file_access.c
	file_wrappers.c
	hcidump.c
	i4btrace.c
	iptrace.c
	iseries.c
	jpeg_jfif.c
	k12.c
	lanalyzer.c
	libpcap.c
	mpeg.c
	netmon.c
	netscaler.c
	netscreen.c
	nettl.c
	network_instruments.c
	netxray.c
	ngsniffer.c
	packetlogger.c
	pcap-common.c
	pcapng.c
	pppdump.c
	radcom.c
	snoop.c
	tnef.c
	toshiba.c
	visual.c
	vms.c
	wtap.c
)

set(CLEAN_FILES
	${WIRETAP_FILES}
)

if (WERROR) 
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

add_lex_files(WIRETAP_FILES
	ascend_scanner.l
	k12text.l
)

add_yacc_files(WIRETAP_FILES
	ascend.y
)

set(wiretap_LIBS
	${GLIB2_LIBRARIES}
	${Z_LIBRARIES}
	wsutil
)

add_library(wiretap ${LINK_MODE_LIB}
	${WIRETAP_FILES}
)
set_target_properties(wiretap PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(wiretap ${wiretap_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS wiretap
		LIBRARY DESTINATION lib
		RUNTIME DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif()

=== epan/wslua/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 33009 2010-05-28 11:48:29Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# This file is to be included/run from epan/CMakeLists.txt

set(WSLUA_MODULES
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/lua_bitop.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_tvb.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_proto.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_tree.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_pinfo.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_listener.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_gui.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_util.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_field.c
	${CMAKE_CURRENT_SOURCE_DIR}/wslua/wslua_dumper.c
)

set(WSLUA_FILES
	${WSLUA_MODULES}
	taps_wslua.c
	register_wslua.c
	wslua/init_wslua.c
)

# Used with untypical CWD
set(WSLUA_TAPS_USED
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-http.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-ip.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-udp.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-h225.h
	${CMAKE_SOURCE_DIR}/epan/dissectors/packet-ieee80211.h
)

# make-taps.pl depends on the current working directory
# to find the dissector files (contents of taps file
# depend on this actually, so just changing the paths
# in these lists won't help).
ADD_CUSTOM_COMMAND(
    OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/taps_wslua.c
      ${CMAKE_CURRENT_BINARY_DIR}/taps.txt
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-taps.pl
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/taps
      ${CMAKE_CURRENT_BINARY_DIR}/taps_wslua.c
      ${CMAKE_CURRENT_BINARY_DIR}/taps.txt
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/taps
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-taps.pl
      # Only here to add dependencies for the taps "source"files
      ${WSLUA_TAPS_USED}
)

ADD_CUSTOM_COMMAND(
    OUTPUT
      declare_wslua.h
      register_wslua.c
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-reg.pl
      ${WSLUA_MODULES}
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-reg.pl
      ${WSLUA_MODULES}
      # ${CMAKE_CURRENT_BINARY_DIR}/taps_wslua.c
)

ADD_CUSTOM_COMMAND(
    OUTPUT init.lua
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-init-lua.pl
      ${CMAKE_SOURCE_DIR}
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/template-init.lua
      > init.lua
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/make-init-lua.pl
      ${CMAKE_CURRENT_SOURCE_DIR}/wslua/template-init.lua
      ${CMAKE_SOURCE_DIR}/epan/ftypes/ftypes.h
      ${CMAKE_SOURCE_DIR}/wiretap/wtap.h
      ${CMAKE_SOURCE_DIR}/epan/epan.h
      ${CMAKE_SOURCE_DIR}/stat_menu.h
)

add_custom_target(
     wsluaauxiliary ALL
     DEPENDS
	init.lua
)

install(
    FILES
	wslua/console.lua
	wslua/dtd_gen.lua
	${CMAKE_CURRENT_BINARY_DIR}/init.lua
    DESTINATION
	${CMAKE_INSTALL_DATADIR}/${CPACK_PACKAGE_NAME}
)

=== plugins/giop/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 32231 2010-03-18 10:27:17Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

set(COSNAMING_SRC
	packet-cosnaming.c
)

set(COSEVENTCOMM_SRC
	packet-coseventcomm.c
)

set(TANGO_SRC
	packet-tango.c
)
set(PARLAY_SRC
	packet-parlay.c
)

set(CLEAN_FILES
	${COSNAMING_SRC}
	${COSEVENTCOMM_SRC}
	# Not clean ${TANGO_SRC}
	# Not clean ${PARLAY_SRC}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(cosnaming ${LINK_MODE_MODULE}
	${COSNAMING_SRC}
)
set_target_properties(cosnaming PROPERTIES PREFIX "")
set_target_properties(cosnaming PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(cosnaming PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(cosnaming epan)

install(TARGETS cosnaming
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

add_library(coseventcomm ${LINK_MODE_MODULE}
	${COSEVENTCOMM_SRC}
)
set_target_properties(coseventcomm PROPERTIES PREFIX "")
set_target_properties(coseventcomm PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(coseventcomm PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(coseventcomm epan)

install(TARGETS coseventcomm
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

add_library(tango ${LINK_MODE_MODULE}
	${TANGO_SRC}
)
set_target_properties(tango PROPERTIES PREFIX "")
set_target_properties(tango PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(tango PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(tango epan)

install(TARGETS tango
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

add_library(parlay ${LINK_MODE_MODULE}
	${PARLAY_SRC}
)
set_target_properties(parlay PROPERTIES PREFIX "")
set_target_properties(parlay PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(parlay PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(parlay epan)

install(TARGETS parlay
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== plugins/opcua/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 32231 2010-03-18 10:27:17Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

set(DISSECTOR_SRC
	opcua.c
)

set(DISSECTOR_SUPPORT_SRC
	opcua_transport_layer.c
	opcua_security_layer.c
	opcua_application_layer.c
	opcua_serviceparser.c
	opcua_complextypeparser.c
	opcua_enumparser.c
	opcua_simpletypes.c
	opcua_servicetable.c
	opcua_hfindeces.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
	${DISSECTOR_SUPPORT_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(opcua ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(opcua PROPERTIES PREFIX "")
set_target_properties(opcua PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(opcua PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(opcua epan)

install(TARGETS opcua
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== plugins/profinet/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 32231 2010-03-18 10:27:17Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

set(DISSECTOR_SRC
	packet-dcerpc-pn-io.c
	packet-dcom-cba.c
	packet-dcom-cba-acco.c
	packet-pn-dcp.c
	packet-pn-mrp.c
	packet-pn-mrrt.c
	packet-pn-ptcp.c
	packet-pn-rt.c
)

set(DISSECTOR_SUPPORT_SRC
	packet-pn.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
	${DISSECTOR_SUPPORT_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(profinet ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(profinet PROPERTIES PREFIX "")
set_target_properties(profinet PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(profinet PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(profinet epan)

install(TARGETS profinet
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== plugins/wimaxasncp/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 32231 2010-03-18 10:27:17Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

set(DISSECTOR_SRC
	packet-wimaxasncp.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

add_lex_files(PLUGIN_FILES
	wimaxasncp_dict.l
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(wimaxasncp ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(wimaxasncp PROPERTIES PREFIX "")
set_target_properties(wimaxasncp PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION})
set_target_properties(wimaxasncp PROPERTIES LINK_FLAGS ${WS_LINK_FLAGS})

target_link_libraries(wimaxasncp epan)

install(TARGETS wimaxasncp
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION} NAMELINK_SKIP
	RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/@CPACK_PACKAGE_NAME@/plugins/${CPACK_PACKAGE_VERSION}
)

=== debian/changelog ===
wireshark (1.4.4-1) unstable; urgency=high

  * New upstream release 1.4.4
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.4.html
    - security fixes
      - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
        that a large packet length in a pcap-ng file could crash Wireshark.
        (No assigned CVE number.)
      - Wireshark could overflow a buffer while reading a Nokia DCT3 trace
        file. (CVE-2011-0713)
      - Paul Makowski working for SEI/CERT discovered that Wireshark on 32
        bit systems could crash while reading a malformed 6LoWPAN packet.
        (No assigned CVE number.)
      - joernchen of Phenoelit discovered that the LDAP and SMB dissectors
        could overflow the stack.
        (No assigned CVE number.)
      - Xiaopeng Zhang of Fortinet's Fortiguard Labs discovered that large
        LDAP Filter strings can consume excessive amounts of memory.
        (No assigned CVE number.)
   * drop 06_fix_crash_on_pcapng_file_error.patch since it is included in
     the new release

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Mar 2011 14:07:27 +0100

wireshark (1.4.3-3) unstable; urgency=high

  * pick fix for crash triggered by opening a malformed pcap-ng file
    (CVE-2011-0538) (Closes: #613202)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 18 Feb 2011 18:02:41 +0100

wireshark (1.4.3-2) unstable; urgency=low

  * re-upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Feb 2011 14:34:06 +0100

## wireshark 1.4.5

=== debian/changelog ===
wireshark (1.4.5-1) unstable; urgency=high

  * New upstream release 1.4.5
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.5.html
    - security fixes
      - The X.509if dissector could crash. (No assigned CVE number)
      - Paul Makowski from SEI/CERT discovered that the DECT dissector could
        overflow a buffer. (No assigned CVE number)
  * update standards-version to 3.9.2
  * clarify in README.Debian that only root is able to capture packets in
    default installation (Closes: #621801)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 16 Apr 2011 17:05:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Balint Reczey <balint@balintreczey.hu>
 Uploaders: Joost Yervante Damad <andete@debian.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: libgtk2.0-dev (>=2.4.0-0), libpcap0.8-dev, flex, libz-dev, debhelper (>= 6), po-debconf, libtool, python, python-ply, automake1.9, autoconf, autotools-dev, libc-ares-dev, xsltproc, docbook-xsl (>= 1.64.1.0-0), libxml2-utils, libpcre3-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libcap-dev (>= 2.17) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison, libgnutls-dev, python-support (>= 0.3), portaudio19-dev, libkrb5-dev, liblua5.1-0-dev, libsmi2-dev, libgeoip-dev, hardening-wrapper
 Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
+Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/wireshark/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/wireshark/trunk/
 XS-Python-Version: all
 Homepage: http://www.wireshark.org/
 
@@ -97,7 +99,7 @@
 Suggests: wireshark-doc (>= ${source:Version})
 Conflicts: wireshark-common (<< 1.4.0~rc2-1)
 Replaces: wireshark-common (<< 1.4.0~rc2-1)
-Description: a network packet dissection library -- shared library
+Description: network packet dissection library -- shared library
  The libwireshark library provides the network packet dissection services 
  developed by the Wireshark project.
 
@@ -129,7 +131,7 @@
 Conflicts: wireshark-common (<< 1.4.0~rc2-1)
 Replaces: wireshark-common (<< 1.4.0~rc2-1)
 Suggests: snmp-mibs-downloader
-Description: a network packet dissection library -- data files
+Description: network packet dissection library -- data files
  The libwireshark library provides the network packet dissection services 
  developed by the Wireshark project.
  .
@@ -141,7 +143,7 @@
 Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
 Replaces: wireshark-dev (<< 1.4.0~rc2-1)
 Architecture: any
-Description: a network packet dissection library -- development files
+Description: network packet dissection library -- development files
  The "libwireshark" library provides the network packet dissection services
  developed by the Wireshark project.
  .
@@ -153,8 +155,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: wireshark-common (<< 1.4.0~rc2-1)
-Description: a network packet capture library -- shared library
- Wiretap, part of the Wireshark project, is a library that allows to
+Description: network packet capture library -- shared library
+ Wiretap, part of the Wireshark project, is a library that allows one to
  read and write several packet capture file formats.
  .
  Supported formats are: 
@@ -185,8 +187,8 @@
 Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
 Replaces: wireshark-dev (<< 1.4.0~rc2-1)
 Architecture: any
-Description: a network packet capture library -- development files
- Wiretap, part of the Wireshark project, is a library that allows to
+Description: network packet capture library -- development files
+ Wiretap, part of the Wireshark project, is a library that allows one to
  read and write several packet capture file formats.
  .
  Supported formats are:
